/**
 * 搬家公司頁面樣式
 *
 * @package mytheme
 */

.company-page {
  color: #53bf6f;
}

/* top pick */

.top-pick-section {
  padding-bottom: 60px;
}
.top-pick-items {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  text-align: left;
  font-family: Inter;
  margin: 30px auto;
}
.top-pick-item {
  width: 240px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 19px;
}
.top-pick-title-wrapper {
  align-self: stretch;
  height: 116px;
  border-radius: 30px;
  background-color: #fff;
  border: 5px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.pick-title {
  font-size: 1.25rem;
  font-weight: 500;
  text-align: center;
}

.pick-text {
}
/* moving cost */

.moving-cost-section {
  padding: 126px 0 108px;
  background-image: url(../../images/cost_section_bg.webp);
  background-size: cover;
}
.moving-cost-container {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto;
}
.cost-header-title {
  font-size: 24px;
  color: #ff942b;
  align-self: stretch;
  position: relative;
  line-height: 32px;
}
.cost-items {
  display: flex;
  align-items: flex-start;
  gap: 70px;
  text-align: left;
  color: #000;
}
.cost-item {
  max-width: 216px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}
.cost-icon-title-wrapper {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.icon-wrapper {
  align-self: center;
  height: 98px;
  max-width: 100%;
  overflow: hidden;
  flex-shrink: 0;
}
.cost-title-wrapper {
  align-self: stretch;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
}
.cost-title {
  position: relative;
  font-weight: 500;
  white-space: nowrap;
}
.use-line {
  width: 133px;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
}
.cost-text {
  align-self: stretch;
  position: relative;
  text-align: center;
}
.gap-line {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
}
.stairs-icon {
  width: 84px;
  height: 84px;
  position: relative;
  flex-shrink: 0;
}
.boxs-icon {
  width: 102px;
  height: 88px;
  position: relative;
  flex-shrink: 0;
}
.other-icon {
  width: 88px;
  height: 88px;
  position: relative;
  flex-shrink: 0;
}
.moving-types {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 28px;
  color: #fff;
}
.moving-type {
  display: flex;
  align-items: center;
  gap: 20px;
}
.type-des {
  height: 48px;
  width: 174px;
  border-radius: 60px;
  background-color: #5a8164;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  box-sizing: border-box;
}
.type-title {
  position: relative;
  color: #fff;
}
.type-text {
  position: relative;
  color: #000;
}
.red-highlight {
  font-size: 20px;
  align-self: stretch;
  position: relative;
  color: #b10000;
}

/* long distance */
.long-distance-moving-section {
  padding: 68px 0 80px;
}
.long-distance-moving-container {
  height: 236px;
  position: relative;
  border-radius: 4px;
  border: 1px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 27px;
  gap: 10px;
  text-align: center;
  margin: 30px auto;
  font-family: Inter;
}
.long-items {
  width: 588px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 36px;
  flex-shrink: 0;
}
.long-item {
  align-self: stretch;
  height: 70px;
  display: flex;
  align-items: center;
  gap: 45px;
}
.green-title-wrapper {
  height: 70px;
  width: 207px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 14px 45px;
  box-sizing: border-box;
}
.long-title {
  position: relative;
  line-height: 40px;
  color: #fff;
  font-size: 1.5rem;
}
.long-text {
  flex: 1;
  position: relative;
  line-height: 40px;
  color: #000;
  text-align: left;
}
.orange-title-wrapper {
  height: 70px;
  width: 207px;
  background-color: #ffac27;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 14px 45px;
  box-sizing: border-box;
}

.long-section-des {
  max-width: 700px;
  text-align: center;
  margin-bottom: 30px;
}

/* green license */

.green-license-plate-section {
  padding: 99px 0 0;
  background-image: url(../../images/green_license_bg.webp);
  margin-bottom: 218px;
}

.green-importent {
  max-width: 320px;
  width: 100%;
  height: 68px;
  margin: 30px auto;
  align-content: center;
  text-align: center;
  background: #53bf6f;
  color: #fff;
  font-weight: 500;
  font-size: 1.5rem;
}

.license-container {
  display: flex;
  gap: 58px;
  margin-bottom: 30px;
}

.licence-item {
  display: flex;
  gap: 12px;
}

.orange-check {
}

.licence-text {
  font-size: 1.25rem;
  white-space: nowrap;
  font-weight: 500;
}

.page-des-container {
  position: relative;
  padding: 52px 113px 0;
  border-radius: 20px;
  background: #fff;
  box-shadow: 0 4px 39.7px 0 rgba(0, 0, 0, 0.25);
  max-width: 898px;
  width: 100%;
  height: 214px;
  margin: 143px auto -61px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 19px;
}

.right-truck {
  position: absolute;
  right: -428px;
  bottom: -84px;
  width: 524px;
}

/* =================
        手機版
   =================*/
@media (max-width: 480px) {
  .top-pick-section {
    padding-bottom: 32px;
  }
  .top-pick-items {
    flex-direction: column;
    gap: 24px;
    margin: 20px auto;
  }
  .top-pick-item {
    gap: 8px;
  }
  .top-pick-title-wrapper {
    height: 44px;
    border-radius: 30px;
    border: 2px solid #53bf6f;
    background: #fff;
  }
  .pick-title {
    font-size: 1rem !important;
    font-weight: 400;
  }

  /* moving-cost*/
  .moving-cost-section {
    background-image: url(../../images/cost_section_bg_rwd.webp);
    padding: 32px 0;
  }
  .moving-cost-container {
    margin: 20px auto;
    gap: 20px;
  }
  .cost-header-title {
    font-size: 1rem;
    font-weight: 500;
    line-height: normal;
  }
  .cost-items {
    flex-direction: column;
    gap: 26.5px;
    width: 100%;
    max-width: 300px;
  }
  .cost-item {
    max-width: none;
    flex-direction: row;
    gap: 22px;
    width: 100%;
  }
  .cost-icon-title-wrapper {
    flex: 1;
    max-width: 144px;
  }
  .use-line,
  .gap-line {
    display: none;
  }

  .cost-text {
    font-size: 12px;
    align-self: center;
    width: 100%;
    padding-bottom: 16px;
    max-width: 132px;
    border-bottom: 1px solid #000;
    text-align: left;
    white-space: nowrap;
  }
  .icon-wrapper {
    max-width: 58px;
    height: auto;
  }

  /* moving types */
  .moving-types {
    flex-direction: column;
    gap: 24px;
    align-items: flex-start;
  }

  .type-des {
    width: 128px;
    height: auto;
    padding: 4px 8px;
  }

  .type-text {
    font-size: 12px;
  }

  .red-highlight {
    font-size: 12px;
  }

  /* long distance */
  .long-distance-moving-section {
    padding: 33px 0;
  }
  .long-distance-moving-container {
    flex-direction: column;
    gap: 20px;
    height: auto;
    padding: 17px 24px;
    margin: 20px auto;
  }
  .long-items {
    width: 100%;
    gap: 20px;
  }
  .long-item {
    gap: 16px;
    height: auto;
  }

  .green-title-wrapper,
  .orange-title-wrapper {
    width: 97px;
    height: 25px;
    padding: 0;
  }

  .long-title {
    font-size: 1rem;
    line-height: normal;
  }

  .long-text {
    font-size: 12px;
    line-height: normal;
    white-space: nowrap;
  }
  .long-section-des {
    text-align: left;
  }

  /* green license */
  .green-license-plate-section {
    padding: 32px 0 0;
    background-image: url(../../images/green_license_bg_rwd.webp);
    margin-bottom: 272px;
  }
  .green-importent {
    max-width: 240px;
    height: 34px;
    margin: 16px auto;
  }
  .license-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
    margin-bottom: 28px;
  }
  .licence-item {
    gap: 8px;
  }
  .licence-item:nth-child(1) {
    order: 1;
  }
  .licence-item:nth-child(2) {
    order: 3;
  }
  .licence-item:nth-child(3) {
    order: 2;
  }
  .licence-item:nth-child(4) {
    order: 4;
  }

  .licence-text {
    font-weight: 400;
  }
  .orange-check {
    height: 20px;
    width: auto;
  }

  .page-des-container {
    padding: 52px 0 18px 0;
    height: auto;
    margin: 145px auto -220px;
    border-radius: 10px;
  }

  .right-truck {
    right: auto;
    bottom: auto;
    top: -127px;
    width: 184px;
  }

  .page-des-text {
    max-width: 241px;
  }
}
